DRM_RGB_QUANT_RANGE_(9)

NAME
drm_rgb_quant_range_selectable - is RGB quantization range selectable?

SYNOPSIS

bool drm_rgb_quant_range_selectable(struct edid * edid);

ARGUMENTS

edid
    EDID block to scan

DESCRIPTION

Check whether the monitor reports the RGB quantization range selection as supported. The AVI infoframe can then be used to inform the monitor which quantization range (full or limited) is used.

RETURN

True if the RGB quantization range is selectable, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT